// Package model provides structures for persistent repository
package model

import (
	"context"

	"gitlab.mashplace.com/mashplace/backend/common/api/generic/query"
)

// Repository interface abstracting specific repository
type Repository interface {
	Migrate(ctx context.Context) error
	NoteCreate(ctx context.Context, note *Note) error
	NoteUpdate(ctx context.Context, note *Note) error
	NoteGetByID(ctx context.Context, id uint64) (*Note, error)
	NoteRemoveByID(ctx context.Context, id uint64) error
	NoteFilterList(ctx context.Context, filter *query.QueryParams) ([]*Note, uint64, error)
	NoteServiceImport(ctx context.Context, note *Note) error
}
