package model

import (
	"time"

	notes "gitlab.mashplace.com/mashplace/backend/notes/api"
)

// Note represents (potentially scheduled at some time) note left by admin to some platform object
type Note struct {
	Created         time.Time             `db:"created"`
	Updated         time.Time             `db:"updated"`
	Scheduled       time.Time             `db:"scheduled"`
	ID              uint64                `db:"id"`
	CorrelationID   string                `db:"correlation_id"`
	Text            string                `db:"text"`
	User            string                `db:"userid"`
	CorrelationType notes.CorrelationType `db:"correlation_type"`
	Status          notes.Status          `db:"status"`
}
