package service

import (
	"strconv"

	notes "gitlab.mashplace.com/mashplace/backend/notes/api"
	"gitlab.mashplace.com/mashplace/backend/notes/internal/model"
	"google.golang.org/protobuf/types/known/timestamppb"
)

func (srv *serviceImpl) renderNotes(ms []*model.Note) (notes []*notes.Note) {
	for _, m := range ms {
		notes = append(notes, srv.renderNote(m))
	}

	return
}

func (srv *serviceImpl) renderNote(m *model.Note) *notes.Note {
	return &notes.Note{
		Id:              strconv.FormatUint(m.ID, 10),
		CorrelationType: m.CorrelationType,
		CorrelationId:   m.CorrelationID,
		Status:          m.Status,
		Text:            m.Text,
		User:            m.User,
		Created:         timestamppb.New(m.Created),
		Updated:         timestamppb.New(m.Updated),
		Scheduled:       timestamppb.New(m.Scheduled),
	}
}
